[package]
name                    = "lesavka_common"
version                 = "0.25.1"
edition                 = "2024"
build                   = "build.rs"

[lib]
name                    = "lesavka_common"
path                    = "src/lib.rs"

[dependencies]
tonic                   = { version = "0.13", features = ["transport", "tls-ring", "tls-native-roots"] }
prost                   = "0.13"
anyhow                  = "1.0"
base64                  = "0.22"

[build-dependencies]
tonic-build             = { version = "0.13", features = ["prost"] }

[dev-dependencies]
serial_test             = { workspace = true }

[[bin]]
name                    = "lesavka-common"
path                    = "src/bin/cli.rs"
